#ifndef FORMTHIRD_H
#define FORMTHIRD_H

#include <QWidget>
#include <QMap>
#include "formbase.h"

namespace Ui {
class formThird;
}

class formThird : public formBase
{
    Q_OBJECT

public:
    //explicit formThird(QWidget *parent = 0);
    explicit formThird(QString aID = "", int aEditMode = 0, QWidget *parent = nullptr);
    ~formThird();

    void newDocument() override {}
    void openDocument(QString id) override;
    void closeDocument() override;
    void save() override;
    bool needsave() override { return mNeedSave; }
    void setEditMode(bool aMode) override {}

private slots:
    void on_cbClient_currentIndexChanged(int index);
    void on_cbSupplier_currentIndexChanged(int index);
    void on_buttonSave_released();

    void on_editName_textChanged(const QString &arg1);

    void on_comboClient_currentIndexChanged(int index);

private:
    Ui::formThird *ui;

    int rowid;
    QMap<int, QWidget*> hiddenTabs;

    void LoadLogo();
    void setEditMode();
};

#endif // FORMTHIRD_H
